Skip to main content
GET
/
v1
/
analysis-source-types
/
{analysisSourceTypeId}
Read Analysis Source Type
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/analysis-source-types/{analysisSourceTypeId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "name": "<string>",
  "interimName": "<string>",
  "archived": true,
  "features": [
    "FORMAT_DETECTION"
  ],
  "columnDefinitions": [
    {
      "mindbridgeFieldName": "<string>",
      "mindbridgeFieldNameForNonMacGroupings": "<string>",
      "type": "TEXT",
      "required": true,
      "requiredForNonMacGroupings": true,
      "allowBlanks": true,
      "alternativeMappings": [
        "<string>"
      ],
      "defaultValue": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisSourceTypeId
string
required

Response

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

name
string

The name of the analysis source type.

interimName
string

The name of the analysis source type when the analysis uses an interim time frame.

archived
boolean

Indicates whether or not the analysis source type is archived.

features
enum<string>[]

A list of the features used when importing data for this analysis source type.

Available options:
FORMAT_DETECTION,
DATA_VALIDATION,
COLUMN_MAPPING,
EFFECTIVE_DATE_METRICS,
TRANSACTION_ID_SELECTION,
PARSE,
CONFIRM_SETTINGS,
REVIEW_FUNDS
columnDefinitions
Column Definition · object[]

A list of MindBridge column definitions that this analysis source type supports.